<?php

/**
 * Class fileSystem
 *   {@inheritdoc}
 */
class fileSystem implements fileSystemInterface {

  public function scanDirectory($dir, $mask, $options = array(), $depth = 0) {
    return file_scan_directory($dir, $mask, $options, $depth);
  }

  public function getPath($project_type, $project_name) {
    return drupal_get_path($project_type, $project_name);
  }

  public function exists($filename) {
    return file_exists($filename);
  }

  public function getContents($filename, $flags = null, $context = null, $offset = null, $maxlen = null) {
    return file_get_contents($filename, $flags, $context, $offset, $maxlen);
  }
}