<?php

class patchesTxt extends patchDetectorBase implements patchDetectorInterface {

  public function getPatchesForProject($project_type, $project_name) {

    $project_path = $this->getPath($project_type, $project_name);

    $patches_txt_path = $project_path . '/patches.txt';

    if ($this->fileSystem->exists($patches_txt_path)) {

      $patches_txt_content = $this->fileSystem->getContents($patches_txt_path);
      // Get all http(s) URLs ending in .patch
      // Note that it does not make any distinction between drupal.org
      // and other patch sources.
      preg_match_all('/http.*\.patch/i', $patches_txt_content, $matches);

      if (!empty($matches[0])) {
        return $matches[0];
      }
    }

    return array();
  }
}